# ************************************************************
# Sequel Pro SQL dump
# Version 3408
#
# http://www.sequelpro.com/
# http://code.google.com/p/sequel-pro/
#
# Host: us-cdbr-east.cleardb.com (MySQL 5.1.47-log)
# Database: heroku_4853355362f3d19
# Generation Time: 2012-05-03 23:00:44 +0000
# ************************************************************


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;


# Dump of table funds
# ------------------------------------------------------------

CREATE TABLE `funds` (
  `fundname` varchar(20) NOT NULL,
  `fundid` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `prospectus` text NOT NULL,
  `fundtype` tinyint(1) NOT NULL,
  `public` tinyint(1) NOT NULL,
  `short` tinyint(1) NOT NULL,
  `margin` int(11) NOT NULL,
  `base` double NOT NULL,
  `power` double NOT NULL,
  PRIMARY KEY (`fundid`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;



# Dump of table invest
# ------------------------------------------------------------

CREATE TABLE `invest` (
  `fundid` int(10) unsigned NOT NULL,
  `amount` double NOT NULL,
  `userid` bigint(20) unsigned NOT NULL,
  `investid` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `clientid` int(10) unsigned NOT NULL,
  `league` tinyint(1) NOT NULL,
  `pending` tinyint(1) NOT NULL DEFAULT '1',
  `current` double NOT NULL,
  `anon` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`investid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;



# Dump of table invites
# ------------------------------------------------------------

CREATE TABLE `invites` (
  `leagueid` int(10) unsigned NOT NULL,
  `userid` bigint(20) unsigned NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;



# Dump of table leagues
# ------------------------------------------------------------

CREATE TABLE `leagues` (
  `leaguename` varchar(20) NOT NULL,
  `startdate` date NOT NULL,
  `enddate` date NOT NULL,
  `startbalance` double unsigned NOT NULL,
  `sectors` text NOT NULL,
  `description` text NOT NULL,
  `public` tinyint(1) NOT NULL,
  `fund` tinyint(1) NOT NULL,
  `leagueid` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `sectors2` text NOT NULL,
  PRIMARY KEY (`leagueid`),
  UNIQUE KEY `leaguename` (`leaguename`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;



# Dump of table limitorders
# ------------------------------------------------------------

CREATE TABLE `limitorders` (
  `ticketid` int(10) unsigned NOT NULL,
  `limitprice` double NOT NULL,
  PRIMARY KEY (`ticketid`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;



# Dump of table portfolios
# ------------------------------------------------------------

CREATE TABLE `portfolios` (
  `leagueid` int(11) unsigned NOT NULL,
  `userid` bigint(20) unsigned NOT NULL,
  `portfolioid` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `cashbalance` double NOT NULL,
  `coordinator` tinyint(1) NOT NULL,
  `fundid` int(10) unsigned NOT NULL,
  `totalworth` double NOT NULL,
  `percent` double NOT NULL,
  `lastupdated` bigint(20) NOT NULL DEFAULT '0',
  PRIMARY KEY (`portfolioid`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;



# Dump of table stocks
# ------------------------------------------------------------

CREATE TABLE `stocks` (
  `stock` varchar(10) NOT NULL,
  `sector` text NOT NULL,
  `industry` text NOT NULL,
  `exchange` text NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;



# Dump of table stocksheld
# ------------------------------------------------------------

CREATE TABLE `stocksheld` (
  `portfolioid` int(11) unsigned NOT NULL,
  `stock` varchar(10) NOT NULL,
  `quantity` int(11) NOT NULL,
  `change` double NOT NULL,
  `changepercent` double NOT NULL,
  `lasttrade` double NOT NULL,
  `daysgain` double NOT NULL,
  `totalgain` double NOT NULL,
  `totalgainpercent` double NOT NULL,
  `shortnum` int(11) NOT NULL DEFAULT '0'
) ENGINE=MyISAM DEFAULT CHARSET=latin1;



# Dump of table stoporders
# ------------------------------------------------------------

CREATE TABLE `stoporders` (
  `ticketid` int(10) unsigned NOT NULL,
  `stoppercentage` double NOT NULL,
  `highwatermark` double NOT NULL,
  `stoppricechange` double NOT NULL,
  `price` double NOT NULL,
  PRIMARY KEY (`ticketid`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;



# Dump of table tickets
# ------------------------------------------------------------

CREATE TABLE `tickets` (
  `userid` bigint(20) unsigned NOT NULL,
  `type` varchar(20) NOT NULL,
  `buysell` text NOT NULL,
  `ticketid` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `stock` varchar(10) NOT NULL,
  `enterdate` datetime NOT NULL,
  `executiondate` datetime NOT NULL,
  `quantity` int(11) NOT NULL,
  `pricepaid` double NOT NULL,
  `pending` tinyint(1) NOT NULL DEFAULT '1',
  `ttl` int(10) unsigned NOT NULL,
  `leagueid` int(10) unsigned NOT NULL DEFAULT '0',
  `fundid` int(10) unsigned NOT NULL DEFAULT '0',
  `lastdatereview` datetime NOT NULL,
  `marketval` double NOT NULL,
  `short` int(11) NOT NULL DEFAULT '0',
  `done` tinyint(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`ticketid`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;




/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;
/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
